<template>
  <div
    class="min-h-full flex items-center justify-center py-6 px-4 sm:px-6 lg:px-8"
  >
    <div class="max-w-lg w-full bg-white p-4 md:px-8 md:py-10 shadow-xl z-10">
      <div>
        <img
          class="mx-auto h-12 w-auto"
          src="../assets/LogoOMTBlue.png"
          alt="OMT-logo"
        />
        <h2 class="mt-6 text-center text-3xl font-extrabold text-gray-900">
          S'inscrire
        </h2>
      </div>
      <Vuemik
        :initial-values="{
          lastname: '',
          firstname: '',
          email: '',
          password: '',
          confirm_password: '',
          gender: 'H',
        }"
        :violations="user.violations"
        :on-submit="user.register"
      >
        <DefineGender/>
        <Field
          id="lastname"
          component="input"
          label="Nom"
          name="lastname"
          type="text"
          placeholder="Nom"
        />
        <Field
          id="firstname"
          component="input"
          label="Prénom"
          name="firstname"
          type="text"
          placeholder="Prénom"
        />
        <Field
          id="email"
          component="input"
          label="Email"
          name="email"
          type="email"
          placeholder="exemple@domain.fr"
        />
        <Field
          id="password"
          component="input"
          label="Mot de passe"
          name="password"
          type="password"
          placeholder="Mot de passe"
        />
        <Field
          id="confirm_password"
          component="input"
          label="Confirmer mot de passe"
          name="confirm_password"
          type="password"
          placeholder="Confirmer mot de passe"
        />
        <Field component="input" type="submit" value="S'inscrire" />
      </Vuemik>
      <span
        >Votre mot de passe doit comporter entre 10 et 50 caractères (dont au
        moins une majuscule, une miniscule, un chiffre et un caractère
        spécial) </span
      >
    </div>
  </div>
</template>

<script>

import DefineGender from "@/components/Form/DefineGender";
export default {
  name: "RegisterView",
  components: {DefineGender},
  inject: ["user"],
  beforeMount() {
    this.user.clearViolations();
  },
};
</script>
